%bcond_without tests
%global pypi_name zipp

Summary:        Backport of pathlib-compatible object wrapper for zip files
Name:           python-%{pypi_name}
Version:        3.17.0
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/jaraco/zipp
Source0:        %{pypi_source}

#https://github.com/jaraco/zipp/commit/fd604bd34f0343472521a36da1fbd22e793e14fd
Patch0001:      fix-CVE-2024-5569.patch

BuildRequires:  python3-devel pyproject-rpm-macros
%if %{with tests}
BuildRequires:  python3dist(pytest) python3dist(jaraco-functools)
%endif

BuildArch:      noarch

%description
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%prep
%autosetup -n %{pypi_name}-%{version} -p1
sed -i "/import jaraco.itertools/d" tests/test_path.py

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with tests}
%check
%pytest -k "not test_joinpath_constant_time"
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
* Fri Sep 6 2024 Feng Weiyao <wynnfeng@tencent.com> - 3.17.0-3
- [type] security
- [desc] fix CVE-2024-5569

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.17.0-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 Wang Guodong <gordonwwang@tencent.com> - 3.17.0-1
- Upgrade to version 3.17.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 Miaojun Dong <zoedong@tencent.com> - 3.11.0-1
- initial build
